From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/websocket-client/
Date: Sat, 22 May 2021 07:58:24 +0000 (UTC) [thread overview]
Message-ID: <1621670271.59df1216e9fd0195fc0cd0fa9b45fd8e02d5c5b6.mgorny@gentoo> (raw)
commit: 59df1216e9fd0195fc0cd0fa9b45fd8e02d5c5b6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 22 07:12:48 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 22 07:57:51 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59df1216
dev-python/websocket-client: Bump to 1.0.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/websocket-client/Manifest | 1 +
.../websocket-client/websocket-client-1.0.1.ebuild | 33 ++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-python/websocket-client/Manifest b/dev-python/websocket-client/Manifest
index b96193d1bd1..97e892f989a 100644
--- a/dev-python/websocket-client/Manifest
+++ b/dev-python/websocket-client/Manifest
@@ -1,3 +1,4 @@
DIST websocket-client-0.59.0.tar.gz 57897 BLAKE2B 9f15c563491bd105a1987281cc20c0ab80ed1625036eeaa674fd28334b8226b5f9660b150743649f6bc7717d4306cbb1778222f9caeeff29507ab364572ce2b5 SHA512 c7f4a0336093de86fd00828049a836477a3c859cc4bddebd9e7d31eb746dab4de8fa11205a5fb182e5df3590964aa73f279310575dfabc4abc32157e80df42b1
DIST websocket-client-1.0.0.tar.gz 58557 BLAKE2B 8234fb246d38673d06c9e16257e00589fe27d1354feba2e1521a41e15c089e899023248dff61346cafbbffe8a423f1b1618a546ead2fee4db67a6c2441581f77 SHA512 6c62ea2f12be0e6409409e832e4654338f6b6cb7838b0765e836c575bd883545c885985e9a05a04cd4ce5fbd537bc97d8c6fc4efb82779c2ec3006580ca19c3e
+DIST websocket-client-1.0.1.tar.gz 58561 BLAKE2B 852693b08cec5d8345ee0cd38d87a93abfd5ac52a72a0715705ae4a7d5f810288d9409e920424a317867e7292568a9a67b4fde8b892e9ff3fa011cf31c016f35 SHA512 349ecf0f80859e146e6039a29b50f8bb9a377ad65655c49b354702a7895ebed4f8849d979f04b1632c7926e3dfb707ae5791a75b3e9c66d35ad1445040d651b3
DIST websocket_client-0.58.0.tar.gz 48216 BLAKE2B 5e559852385d95caffa73fdb4bfcddd3e00f7bdc9d23d07e7bd6b9e8de599742e153d31bb3a57bdf1aef02361f5dc0b13a443c21872c27576e068f246102d655 SHA512 c587945831427a9bddef96be53d20fec7f55ffd7efe2b676dac96b8078ba446ecda85379a4edfc49c36de936516d3994cbd0515decb9b615cd969bde1117167a
diff --git a/dev-python/websocket-client/websocket-client-1.0.1.ebuild b/dev-python/websocket-client/websocket-client-1.0.1.ebuild
new file mode 100644
index 00000000000..dfdf4b22003
--- /dev/null
+++ b/dev-python/websocket-client/websocket-client-1.0.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{7..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="WebSocket client for python with hybi13 support"
+HOMEPAGE="https://github.com/websocket-client/websocket-client"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
+IUSE="examples"
+
+distutils_enable_tests setup.py
+
+src_prepare() {
+ # Internet
+ sed -i -e 's:testConnect:_&:' websocket/tests/test_http.py || die
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
next reply other threads:[~2021-05-22 7:58 UTC|newest]
Thread overview: 116+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-05-22 7:58 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-21 7:38 [gentoo-commits] repo/gentoo:master commit in: dev-python/websocket-client/ Petr Vaněk
2024-05-08 8:15 Michał Górny
2024-04-24 2:03 Michał Górny
2023-12-20 15:51 Michał Górny
2023-12-20 15:49 Michał Górny
2023-12-04 6:48 Michał Górny
2023-11-11 20:36 Michał Górny
2023-11-11 19:21 Sam James
2023-10-08 17:48 Michał Górny
2023-09-25 18:57 Michał Górny
2023-09-25 18:27 Arthur Zamarin
2023-09-12 6:00 Michał Górny
2023-08-22 20:01 Michał Górny
2023-07-10 1:29 Michał Górny
2023-07-09 16:52 Arthur Zamarin
2023-06-24 6:10 Michał Górny
2023-06-18 2:16 Michał Górny
2023-06-09 12:22 Michał Górny
2023-05-31 8:31 Michał Górny
2023-05-22 5:53 Michał Górny
2023-03-14 5:02 Michał Górny
2023-03-13 19:47 Arthur Zamarin
2023-02-26 17:38 Michał Górny
2023-02-26 17:38 Michał Górny
2023-02-26 17:08 Arthur Zamarin
2023-02-05 17:07 Michał Górny
2023-01-27 10:52 Michał Górny
2023-01-08 5:06 Michał Górny
2023-01-07 18:25 Arthur Zamarin
2022-11-04 8:23 Arthur Zamarin
2022-09-25 17:58 Arthur Zamarin
2022-09-25 17:57 Arthur Zamarin
2022-09-05 7:18 Michał Górny
2022-08-25 19:25 Arthur Zamarin
2022-08-17 19:40 Arthur Zamarin
2022-08-17 18:45 Sam James
2022-07-16 12:22 Arthur Zamarin
2022-06-20 17:20 Arthur Zamarin
2022-05-01 12:56 Michał Górny
2022-05-01 12:20 Jakov Smolić
2022-03-31 14:08 Michał Górny
2022-03-31 14:02 Jakov Smolić
2022-03-30 18:45 Michał Górny
2022-03-12 20:17 Arthur Zamarin
2022-03-12 20:17 Arthur Zamarin
2022-03-12 20:07 Arthur Zamarin
2022-03-12 13:04 Arthur Zamarin
2022-03-12 13:02 Arthur Zamarin
2022-02-25 23:41 Michał Górny
2022-02-08 17:38 Arthur Zamarin
2022-02-07 22:29 Sam James
2022-02-07 11:36 Sam James
2022-02-07 11:30 Sam James
2022-02-07 9:35 Sam James
2022-01-08 13:35 Michał Górny
2022-01-08 13:31 Arthur Zamarin
2021-12-13 3:09 Yixun Lan
2021-12-07 23:27 Michał Górny
2021-12-07 9:32 Michał Górny
2021-09-13 6:28 Michał Górny
2021-09-12 22:57 Sam James
2021-09-12 8:21 Sam James
2021-09-12 8:12 Sam James
2021-09-12 7:09 Agostino Sarubbo
2021-08-11 5:58 Michał Górny
2021-08-06 6:22 Michał Górny
2021-07-12 22:46 Michał Górny
2021-07-12 21:50 Sam James
2021-06-24 8:20 Michał Górny
2021-06-24 4:26 Agostino Sarubbo
2021-06-10 7:00 Michał Górny
2021-06-05 20:55 Michał Górny
2021-05-18 7:21 Michał Górny
2021-05-07 11:11 Michał Górny
2021-05-05 9:25 Michał Górny
2021-04-07 22:33 Michał Górny
2021-04-07 21:17 Michał Górny
2021-04-07 8:06 Michał Górny
2021-04-07 6:23 Sam James
2021-03-11 12:55 Sam James
2021-03-03 7:11 Michał Górny
2020-11-04 5:32 Sam James
2020-06-11 2:28 Georgy Yakovlev
2020-06-10 15:11 Michał Górny
2020-05-11 19:33 Michał Górny
2020-05-04 12:34 Michał Górny
2020-05-03 10:30 Agostino Sarubbo
2020-05-03 10:01 Agostino Sarubbo
2020-04-06 12:09 Sebastian Pipping
2020-03-19 21:56 David Seifert
2020-03-17 8:08 Michał Górny
2020-02-11 11:42 Alexey Shvetsov
2020-02-06 7:10 Michał Górny
2018-09-28 20:33 Matt Thode
2018-08-13 8:45 Louis Sautier
2018-06-30 3:18 Louis Sautier
2018-06-30 3:18 Louis Sautier
2018-06-28 6:50 Fabian Groffen
2018-04-12 4:27 Matt Thode
2018-04-12 4:27 Matt Thode
2018-03-31 1:54 Matt Thode
2018-03-10 14:56 Pacho Ramos
2018-02-24 7:19 Matt Thode
2018-02-13 21:01 Matt Thode
2017-10-04 8:57 Michał Górny
2017-05-02 9:48 Michał Górny
2017-03-15 9:23 Zac Medico
2016-04-24 15:07 Alex Brandt
2016-04-24 15:07 Alex Brandt
2016-04-24 15:07 Alex Brandt
2016-01-06 21:06 Justin Lecher
2015-12-09 15:10 Justin Lecher
2015-10-31 21:54 Alex Brandt
2015-10-31 21:54 Alex Brandt
2015-09-11 7:53 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1621670271.59df1216e9fd0195fc0cd0fa9b45fd8e02d5c5b6.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox